<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [UserInterface](./bitburner.userinterface.md) &gt; [setStyles](./bitburner.userinterface.setstyles.md)

## UserInterface.setStyles() method

Sets the current styles

**Signature:**

```typescript
setStyles(newStyles: IStyleSettings): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

newStyles


</td><td>

[IStyleSettings](./bitburner.istylesettings.md)


</td><td>


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0 GB

## Example


```js
const styles = ns.ui.getStyles();
styles.fontFamily = 'Comic Sans Ms';
ns.ui.setStyles(styles);
```

